StackMapFrameInfo.UninitializedVerificationTypeInfo (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: StackMapFrameInfo, interface: UninitializedVerificationTypeInfo
Keywords: java.lang.classfile.attribute.StackMapFrameInfo.UninitializedVerificationTypeInfo interface

# Interface StackMapFrameInfo.UninitializedVerificationTypeInfo

All Superinterfaces:
  `StackMapFrameInfo.VerificationTypeInfo`

Enclosing interface:
  `StackMapFrameInfo`

public static sealed interface StackMapFrameInfo.UninitializedVerificationTypeInfo extends StackMapFrameInfo.VerificationTypeInfo
An uninitialized stack value. Its `tag` is 8.

See Java Virtual Machine Specification:
  4.7.4 The `StackMapTable` Attribute
Since:
  24

- ## Field Summary

  ### Fields declared in interface StackMapFrameInfo.VerificationTypeInfo

  `ITEM_DOUBLE, ITEM_FLOAT, ITEM_INTEGER, ITEM_LONG, ITEM_NULL, ITEM_OBJECT, ITEM_TOP, ITEM_UNINITIALIZED, ITEM_UNINITIALIZED_THIS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Label`
  `newTarget()`
  Returns the label immediately before the `new` instruction that creates this uninitialized object.
  `static StackMapFrameInfo.UninitializedVerificationTypeInfo`
  `of(Label newTarget)`
  Returns an uninitialized verification type info.

  ### Methods declared in interface StackMapFrameInfo.VerificationTypeInfo

  `tag`

- ## Method Details

  - ### newTarget

    Label newTarget()
    Returns the label immediately before the `new` instruction that creates this uninitialized object.
    Returns:
      the label immediately before the `new` instruction that creates this uninitialized object

  - ### of

    static StackMapFrameInfo.UninitializedVerificationTypeInfo of(Label newTarget)
    Returns an uninitialized verification type info.
    Parameters:
      `newTarget` - the label immediately before the `new` instruction that creates this uninitialized object
    Returns:
      an uninitialized verification type info